<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.GisRcWaveformMapper">

    <sql id="Base_Column_List">
            phase as phase,
            site_id as siteId,
            action as action,
            coil_waveform as coilWaveform
    </sql>

    <select id="selectGisRcWaveformPage" parameterType="com.huatek.busi.dto.GisRcWaveformDto" resultType="com.huatek.busi.vo.GisRcWaveformVo">
        SELECT
        <include refid="Base_Column_List"/>
        FROM
        gis_rc_waveform t
        WHERE 1=1
        <if test="phase != null and phase != ''">
             and t.phase = #{phase}
        </if>
        <if test="siteId != null and siteId != ''">
             and t.site_id = #{siteId}
        </if>
        <if test="action != null and action != ''">
             and t.action = #{action}
        </if>
        <if test="coilWaveform != null">
             and t.coil_waveform = #{coilWaveform}
        </if>
    </select>

</mapper>